> ## Documentation Index
> Fetch the complete documentation index at: https://docs.n8negri.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Mark Read



## OpenAPI

````yaml /api-reference/openapi.json post /v1/notifications/{notification_id}/read
openapi: 3.1.0
info:
  title: Imtegrate API
  version: dev
servers: []
security: []
paths:
  /v1/notifications/{notification_id}/read:
    post:
      tags:
        - notifications
      summary: Mark Read
      operationId: mark_read_v1_notifications__notification_id__read_post
      parameters:
        - name: notification_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Notification Id
        - name: Authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotificationOut'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    NotificationOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        org_id:
          type: string
          format: uuid
          title: Org Id
        user_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: User Id
        type:
          type: string
          title: Type
        title:
          type: string
          title: Title
        body:
          anyOf:
            - type: string
            - type: 'null'
          title: Body
        payload:
          additionalProperties: true
          type: object
          title: Payload
        read_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Read At
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - org_id
        - user_id
        - type
        - title
        - body
        - payload
        - read_at
        - created_at
      title: NotificationOut
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````